autotest: Make sure entire EXIT trap is executed

process_core() indicates error where any core files are found. If
that happens to be the case when the trap is called, the remaining
pieces won't be executed due to errexit being enabled. With that
in mind, simply ignore process_core's exit status.

Signed-off-by: Michal Berger <michalx.berger@intel.com>
Change-Id: I83527468bd1b41bf92b9ee8189a4c425be914552
Reviewed-on: https://review.spdk.io/gerrit/c/spdk/spdk/+/6990
Tested-by: SPDK CI Jenkins <sys_sgci@intel.com>
Community-CI: Mellanox Build Bot
Reviewed-by: Ben Walker <benjamin.walker@intel.com>
Reviewed-by: Tomasz Zawadzki <tomasz.zawadzki@intel.com>
This commit is contained in:
Michal Berger 2021-03-22 11:59:30 +01:00 committed by Tomasz Zawadzki
parent 00c9dd5879
commit 8651ef29ab

View File

@ -50,7 +50,7 @@ if [ $(uname -s) = Linux ]; then
fi
fi
trap "process_core; autotest_cleanup; exit 1" SIGINT SIGTERM EXIT
trap "process_core || :; autotest_cleanup; exit 1" SIGINT SIGTERM EXIT
timing_enter autotest